8 Replies Latest reply: Apr 25, 2013 1:55 PM by TBUSHAR29 RSS

Upgrading SnapDrive - Prerequisites

TBUSHAR29
Currently Being Moderated

We have a number of servers, a mix of virtual/physical/win 2003/win2008 that are running an older version of SnapDrive. We're looking to upgrade to SnapDrive 6.4.2 (From 6.1) and I had a few quick questions.

 

Because of the way we use it, we'll have to upgrade all of our SnapDrive clients at the same time. We have not had any luck running different versions of SnapDrive and mounting snaps on one host, that were created from another host with a downlevel version of SnapDrive. So we can't stage the rollout one at a time.

 

A few of the servers are running older version's of FC firmware, does this need to be updaetd as a prerequisite?

Also what is the difference between the NetApp Host Agent, and the NetApp Data Fabric Manager - Do we need both, we have some different versions of each of these installed.

My last question is do we still need to be running Windows Host Utilities, or can that be uninstalled because we'll be installing Data Ontap DSM for Windows MPIO version 3.5.

 

 

Thanks!

  • Re: Upgrading SnapDrive - Prerequisites
    spence
    Currently Being Moderated

    First note that SDW 6.4.2 is the latest version of SnapDrive that you can use with Windows 2003 and only with SP2 as SDW 6.5 drops support for 2003.

     

    Before you upgrade your SnapDrive revision, you need to ensure the storage controllers are running a supported version of ONTAP first.  The minimum ONTAP rev is 7.3.4 with 7.3.7 recommended.

     

    Q: A few of the servers are running older version's of FC firmware, does this need to be updated as a prerequisite?

    A: No, but make sure that your HBA firmware is compatible with the version of ONTAP you are running using the support site IMT tool.  This usually isn't a huge issue, but check to make sure.

     

    Q: Also what is the difference between the NetApp Host Agent, and the NetApp Data Fabric Manager - Do we need both, we have some different versions of each of these installed?

    A: The host agent is what you install to enable DFM\OM\UM to monitor host LUNs.   DFM\OM\UM is the server component installed once in the environment with Host Agents installed on all hosts with NetApp storage attached for monitoring and reporting.  If you have deployed the Host Agents on all of your servers, then you might want to upgrade the Host agent after your SDW upgrade.  I don't know what version of DFM\OM\UM you are running so check to make sure the version of DFM\OM\UM and the Host Agent version are within supported rangers.  Current is 5.1 for UM and 2.7 for the agent (I think).

     

    Q: My last question is do we still need to be running Windows Host Utilities, or can that be uninstalled because we'll be installing Data Ontap DSM for Windows MPIO version 3.5.

    A: You can uninstall the host utilities if you are using the Data ONTAP DSM version 3.5.  If you are not using the NetApp DSM, then you will still need to install the HUK.

     

    Lastly as you upgrade from version X to 6.4.2, there will likely be some additional Windows hotfixes required, that will require a reboot prior to the SDW upgrade.

    Server 2003\R2 SP2

    • 931300
    • 937382
    • 932755
    • 919117

    Server 2008 SP2

    • 950927
    • 955656
    • 952790

    Server 2008 R2 SP1

    • 2531907
    • 2494016
    • 2520235
    • 2636573

     

    Here is a sample script to help you out with this.

     

    #Do not alter this function

    #------------------------------------------------------------------------

         Function New-Underline($Text) {

              "`n$Text`n$(`"_`" * $Text.length)"

             }

    #------------------------------------------------------------------------

    # Enter your list of computers, one per line with quotes around each name

    #------------------------------------------------------------------------

         $computerlist = @(

              "localhost"

              "DC1"

         )

    #------------------------------------------------------------------------

    foreach ($computer in $computerlist) {

    #------------------------------------------------------------------------

    #Enter your list of hotfixes here, one per line with quotes around each name.

    #Do not include 'KB'

    #------------------------------------------------------------------------

    $hotfixlist = @(

         "2779768"

         "2770917"

         "1597531"

    #------------------------------------------------------------------------

              )

         New-Underline -text "$computer"

         foreach ($_ in $hotfixlist) {

                    $a = get-hotfix -ID KB$_ -computername $computer -erroraction "SilentlyContinue"

                   if ($a -ne $null) {

                                        write-host $a.HotfixID"is installed" -foregroundcolor green

                              }

                   else {

                        write-host "KB$_ is missing" -foregroundcolor red -backgroundcolor yellow

                              }

          }

    }

    • Re: Upgrading SnapDrive - Prerequisites
      TBUSHAR29
      Currently Being Moderated

      Thanks I am going to get to work with that script. So basically we want to install the latest NetApp Host Agent, and the NetApp Data Fabric Manager agent on all of our servers for monitoring and reporting and alerting? It looks like many of our servers have either one or the other installed, and pretty old versions, so I'm assuming we just upgrade both to the latest and that shouldn't really affect the snapdrive upgrade planning we're doing.

      (currently v2.0 NetApp DFM and v 2.5 or v 2.6 NetApp HA)

      Thanks









      • Re: Upgrading SnapDrive - Prerequisites
        spence
        Currently Being Moderated

        Q: So basically we want to install the latest NetApp Host Agent, and the NetApp Data Fabric Manager agent on all of our servers for monitoring and reporting and alerting?

        A: These are one in the same.  You should upgrade your DFM server to OnCommand Unified Manager 5.1 and then upgrade all of your servers with the NetApp Host Agent 2.7.  If your DFM server is really as old as version 2.0, then you'll likely need to upgrade to 3.8 and then to 5.1, but I'm not an authoritative person for this product.

         

        OnCommand Unified Manager Core Package https://support.netapp.com/NOW/download/software/occore_win/5.1/download.shtml

        OnCommand Host Agent http://support.netapp.com/NOW/download/software/ntaphostagent/2.7/

        • Re: Upgrading SnapDrive - Prerequisites
          TBUSHAR29
          Currently Being Moderated

          Thanks!

          It looks like there hasn't been an update to the NetApp host agent 2.7 since 2009?

           

          Also, Looking at MPIO 3.5 and then the  Windows Host Utilities Download desecriptions I still don't undertand why there are references in the documentation to installing both, when MPIO DSM does everything.

           

          http://support.netapp.com/NOW/download/software/mpio_win/3.5/

           

          The Data ONTAP® DSM 3.5 for Windows® MPIO is a Device Specific
          Module (DSM) that enables NetApp storage systems to integrate with Microsoft®
          Multipath I/O (MPIO) in order to provide applications with high availability
          connections to NetApp® storage. The Data ONTAP DSM is used with NetApp storage
          system configurations in which Windows hosts have more than one physical path to
          the NetApp system.

           

          You can have multiple optimized paths and multiple non-optimized paths. If
          all of the optimized paths fail, the DSM automatically switches to the
          non-optimized paths, maintaining the host's access to its storage.

           

          http://support.netapp.com/NOW/download/software/sanhost_win/6.0.2/

           

          Windows® Host Utilities 6.0.2 contains the software components
          you need to configure a Microsoft® Windows Server system to access virtual disks
          (LUNs) on a NetApp® storage system using the Fibre Channel, Fibre Channel over
          Ethernet, or iSCSI protocol.

          Windows Host Utilities 6.0.2 also supports Windows guest operating systems
          running on Windows Hyper-V virtual machines.

           

          Windows Host Utilities 6.0.2 supports Fibre Channel, Fibre Channel over
          Ethernet (FCoE), iSCSI, and mixed FC and iSCSI connections. It also supports
          iSCSI Host Bus Adapters (HBAs).

           

          Note: If you want to use multipathing to create a highly-available
          connection to the storage system, you must also install a supported version of
          multipathing software such as the Data ONTAP® DSM for Windows MPIO.

          • Re: Upgrading SnapDrive - Prerequisites
            spence
            Currently Being Moderated

            Q: It looks like there hasn't been an update to the NetApp host agent 2.7 since 2009?

            A: That sounds right.  There is a forthcoming version for OnCommand Unified Manager that will likely result in a version release for the Host Agent, but I don't know for sure.  There hasn't been an upgrade to the version for a while because the functionality it provides has remained the same for a while now.

             

             

            Q: Also, Looking at MPIO 3.5 and then the  Windows Host Utilities Download desecriptions I still don't undertand why there are references in the documentation to installing both, when MPIO DSM does everything.

            A: The DSM 3.5 version was the first release to incorporate all of the items that the HUK did.  The documentation is probably just trying to cover all the bases and isn't as clear as it could be. 

             

            Also 6.0.2 is the latest, but it was also released last week.  For now I would recommend version 6.0.1, especially for Windows Server 2012 with ONTAP versions less than 8.2.

            • Re: Upgrading SnapDrive - Prerequisites
              TBUSHAR29
              Currently Being Moderated

              Is NetApp Host Agent 2.7 supported with SnapDrive 6.4? The IMT only listes up to 6.2...thanks

              • Re: Upgrading SnapDrive - Prerequisites
                spence
                Currently Being Moderated

                The host agent doesn't really talk to SnapDrive, so there is no version dependency. SnapDrive can be configured to integrate with DFM\OM\UM for purposes of Protection Manager and Provisioning Manager, but the agent communicates directly with DFM\OM\UM to provide host details such as drive space monitoring and reporting.

                • Re: Upgrading SnapDrive - Prerequisites
                  TBUSHAR29
                  Currently Being Moderated

                  I've upgraded about 7 servers so far. I haven't had any issues. So far I haven't been prompted for the hotfixes on win 2008 R2 SP1, I'm not running a cluster so I am thinking that is why. Also been installing NetApp Host agent 2.7.

                   

                  Question on monitoring:

                   

                  Does the OnCommand-PlugIn-Microsoft_3.2_x64_NetApp for SCOM 2012 provide the same monitoring information as the HostAgent 2.7 communication with DFM\OM\UM? We've got both products, is there any overlap in what each monitors?

                   

                  thanks

More Like This

  • Retrieving data ...